declare const _default: {
    /**
     * Transforms:
     *
     * [attribute/cti](/reference/hooks/transforms/predefined#attributecti)
     * [name/kebab](/reference/hooks/transforms/predefined#namectikebab)
     * [size/px](/reference/hooks/transforms/predefined#sizepx)
     * [color/css](/reference/hooks/transforms/predefined#colorcss)
     *
     * @memberof TransformGroups
     */
    web: ("attribute/cti" | "name/kebab" | "color/css" | "size/px")[];
    /**
     * Transforms:
     *
     * [attribute/cti](/reference/hooks/transforms/predefined#attributecti)
     * [name/pascal](/reference/hooks/transforms/predefined#namectipascal)
     * [size/rem](/reference/hooks/transforms/predefined#sizerem)
     * [color/hex](/reference/hooks/transforms/predefined#colorhex)
     *
     * @memberof TransformGroups
     */
    js: ("attribute/cti" | "name/pascal" | "color/hex" | "size/rem")[];
    /**
     * Transforms:
     *
     * [attribute/cti](/reference/hooks/transforms/predefined#attributecti)
     * [name/kebab](/reference/hooks/transforms/predefined#namectikebab)
     * [time/seconds](/reference/hooks/transforms/predefined#timeseconds)
     * [html/icon](/reference/hooks/transforms/predefined#htmlicon)
     * [size/rem](/reference/hooks/transforms/predefined#sizerem)
     * [color/css](/reference/hooks/transforms/predefined#colorcss)
     * [asset/url](/reference/hooks/transforms/predefined#asset/url)
     * [fontFamily/css](/reference/hooks/transforms/predefined#fontfamilycss)
     * [cubicBezier/css](/reference/hooks/transforms/predefined#cubicbezier)
     * [strokeStyle/css/shorthand](/reference/hooks/transforms/predefined#strokestylecssshorthand)
     * [border/css/shorthand](/reference/hooks/transforms/predefined#bordercssshorthand)
     * [typography/css/shorthand](/reference/hooks/transforms/predefined#typographycssshorthand)
     * [transition/css/shorthand](/reference/hooks/transforms/predefined#transitioncssshorthand)
     * [shadow/css/shorthand](/reference/hooks/transforms/predefined#shadowcssshorthand)
     *
     * @memberof TransformGroups
     */
    scss: ("attribute/cti" | "name/kebab" | "color/css" | "size/rem" | "html/icon" | "time/seconds" | "fontFamily/css" | "cubicBezier/css" | "strokeStyle/css/shorthand" | "border/css/shorthand" | "typography/css/shorthand" | "transition/css/shorthand" | "shadow/css/shorthand" | "asset/url")[];
    /**
     * Transforms:
     *
     * [attribute/cti](/reference/hooks/transforms/predefined#attributecti)
     * [name/kebab](/reference/hooks/transforms/predefined#namectikebab)
     * [time/seconds](/reference/hooks/transforms/predefined#timeseconds)
     * [html/icon](/reference/hooks/transforms/predefined#htmlicon)
     * [size/rem](/reference/hooks/transforms/predefined#sizerem)
     * [color/css](/reference/hooks/transforms/predefined#colorcss)
     * [asset/url](/reference/hooks/transforms/predefined#asset/url)
     * [fontFamily/css](/reference/hooks/transforms/predefined#fontfamilycss)
     * [cubicBezier/css](/reference/hooks/transforms/predefined#cubicbezier)
     * [strokeStyle/css/shorthand](/reference/hooks/transforms/predefined#strokestylecssshorthand)
     * [border/css/shorthand](/reference/hooks/transforms/predefined#bordercssshorthand)
     * [typography/css/shorthand](/reference/hooks/transforms/predefined#typographycssshorthand)
     * [transition/css/shorthand](/reference/hooks/transforms/predefined#transitioncssshorthand)
     * [shadow/css/shorthand](/reference/hooks/transforms/predefined#shadowcssshorthand)
     *
     * @memberof TransformGroups
     */
    css: ("attribute/cti" | "name/kebab" | "color/css" | "size/rem" | "html/icon" | "time/seconds" | "fontFamily/css" | "cubicBezier/css" | "strokeStyle/css/shorthand" | "border/css/shorthand" | "typography/css/shorthand" | "transition/css/shorthand" | "shadow/css/shorthand" | "asset/url")[];
    /**
     * Transforms:
     *
     * [attribute/cti](/reference/hooks/transforms/predefined#attributecti)
     * [name/kebab](/reference/hooks/transforms/predefined#namectikebab)
     * [time/seconds](/reference/hooks/transforms/predefined#timeseconds)
     * [html/icon](/reference/hooks/transforms/predefined#htmlicon)
     * [size/rem](/reference/hooks/transforms/predefined#sizerem)
     * [color/hex](/reference/hooks/transforms/predefined#colorhex)
     * [asset/url](/reference/hooks/transforms/predefined#asset/url)
     * [fontFamily/css](/reference/hooks/transforms/predefined#fontfamilycss)
     * [cubicBezier/css](/reference/hooks/transforms/predefined#cubicbezier)
     * [strokeStyle/css/shorthand](/reference/hooks/transforms/predefined#strokestylecssshorthand)
     * [border/css/shorthand](/reference/hooks/transforms/predefined#bordercssshorthand)
     * [typography/css/shorthand](/reference/hooks/transforms/predefined#typographycssshorthand)
     * [transition/css/shorthand](/reference/hooks/transforms/predefined#transitioncssshorthand)
     * [shadow/css/shorthand](/reference/hooks/transforms/predefined#shadowcssshorthand)
     *
     * @memberof TransformGroups
     */
    less: ("attribute/cti" | "name/kebab" | "color/hex" | "size/rem" | "html/icon" | "time/seconds" | "fontFamily/css" | "cubicBezier/css" | "strokeStyle/css/shorthand" | "border/css/shorthand" | "typography/css/shorthand" | "transition/css/shorthand" | "shadow/css/shorthand" | "asset/url")[];
    /**
     * Transforms:
     *
     * [attribute/cti](/reference/hooks/transforms/predefined#attributecti)
     * [attribute/color](/reference/hooks/transforms/predefined#attributecolor)
     * [name/human](/reference/hooks/transforms/predefined#namehuman)
     *
     * @memberof TransformGroups
     */
    html: ("attribute/cti" | "attribute/color" | "name/human")[];
    /**
     * Transforms:
     *
     * [attribute/cti](/reference/hooks/transforms/predefined#attributecti)
     * [name/snake](/reference/hooks/transforms/predefined#namectisnake)
     * [color/hex8android](/reference/hooks/transforms/predefined#colorhex8android)
     * [size/remToSp](/reference/hooks/transforms/predefined#sizeremtosp)
     * [size/remToDp](/reference/hooks/transforms/predefined#sizeremtodp)
     *
     * @memberof TransformGroups
     */
    android: ("attribute/cti" | "name/snake" | "color/hex8android" | "size/remToSp" | "size/remToDp")[];
    /**
     * Transforms:
     *
     * [attribute/cti](/reference/hooks/transforms/predefined#attributecti)
     * [name/camel](/reference/hooks/transforms/predefined#namecamel)
     * [color/composeColor](/reference/hooks/transforms/predefined#colorcomposecolor)
     * [size/compose/em](/reference/hooks/transforms/predefined#sizecomposeem)
     * [size/compose/remToSp](/reference/hooks/transforms/predefined#sizecomposeremtosp)
     * [size/compose/remToDp](/reference/hooks/transforms/predefined#sizecomposeremtodp)
     *
     * @memberof TransformGroups
     */
    compose: ("attribute/cti" | "name/camel" | "color/composeColor" | "size/compose/remToSp" | "size/compose/remToDp" | "size/compose/em")[];
    /**
     * Transforms:
     *
     * [attribute/cti](/reference/hooks/transforms/predefined#attributecti)
     * [name/pascal](/reference/hooks/transforms/predefined#namectipascal)
     * [color/UIColor](/reference/hooks/transforms/predefined#coloruicolor)
     * [content/objC/literal](/reference/hooks/transforms/predefined#contentobjcliteral)
     * [asset/objC/literal](/reference/hooks/transforms/predefined#assetobjcliteral)
     * [size/remToPt](/reference/hooks/transforms/predefined#sizeremtopt)
     *
     * @memberof TransformGroups
     */
    ios: ("attribute/cti" | "name/pascal" | "color/UIColor" | "size/remToPt" | "content/objC/literal" | "asset/objC/literal")[];
    /**
     * Transforms:
     *
     * [attribute/cti](/reference/hooks/transforms/predefined#attributecti)
     * [name/camel](/reference/hooks/transforms/predefined#namecamel)
     * [color/UIColorSwift](/reference/hooks/transforms/predefined#coloruicolorswift)
     * [content/swift/literal](/reference/hooks/transforms/predefined#contentswiftliteral)
     * [asset/swift/literal](/reference/hooks/transforms/predefined#assetswiftliteral)
     * [size/swift/remToCGFloat](/reference/hooks/transforms/predefined#sizeswiftremtocgfloat)
     *
     * @memberof TransformGroups
     */
    "ios-swift": ("attribute/cti" | "name/camel" | "color/UIColorSwift" | "size/swift/remToCGFloat" | "content/swift/literal" | "asset/swift/literal")[];
    /**
     * Transforms:
     *
     * [attribute/cti](/reference/hooks/transforms/predefined#attributecti)
     * [name/camel](/reference/hooks/transforms/predefined#namecamel)
     * [color/UIColorSwift](/reference/hooks/transforms/predefined#coloruicolorswift)
     * [content/swift/literal](/reference/hooks/transforms/predefined#contentswiftliteral)
     * [asset/swift/literal](/reference/hooks/transforms/predefined#assetswiftliteral)
     * [size/swift/remToCGFloat](/reference/hooks/transforms/predefined#sizeswiftremtocgfloat)
     *
     * This is to be used if you want to have separate files per category and you don't want the category (e.g., color) as the lead value in the name of the token (e.g., StyleDictionaryColor.baseText instead of StyleDictionary.colorBaseText).
     *
     * @memberof TransformGroups
     */
    "ios-swift-separate": ("attribute/cti" | "name/camel" | "color/UIColorSwift" | "size/swift/remToCGFloat" | "content/swift/literal" | "asset/swift/literal")[];
    /**
     * Transforms:
     *
     * [attribute/cti](/reference/hooks/transforms/predefined#attributecti)
     *
     * @memberof TransformGroups
     */
    assets: "attribute/cti"[];
    /**
     * Transforms:
     *
     * [attribute/cti](/reference/hooks/transforms/predefined#attributecti)
     * [name/camel](/reference/hooks/transforms/predefined#nameccamel)
     * [color/hex8flutter](/reference/hooks/transforms/predefined#colorhex8flutter)
     * [size/flutter/remToDouble](/reference/hooks/transforms/predefined#sizeflutterremtodouble)
     * [content/flutter/literal](/reference/hooks/transforms/predefined#contentflutterliteral)
     * [asset/flutter/literal](/reference/hooks/transforms/predefined#assetflutterliteral)
     *
     * @memberof TransformGroups
     */
    flutter: ("attribute/cti" | "name/camel" | "color/hex8flutter" | "content/flutter/literal" | "asset/flutter/literal" | "size/flutter/remToDouble")[];
    /**
     * Transforms:
     *
     * [attribute/cti](/reference/hooks/transforms/predefined#attributecti)
     * [name/camel](/reference/hooks/transforms/predefined#namecamel)
     * [color/hex8flutter](/reference/hooks/transforms/predefined#colorhex8flutter)
     * [size/flutter/remToDouble](/reference/hooks/transforms/predefined#sizeflutterremtodouble)
     * [content/flutter/literal](/reference/hooks/transforms/predefined#contentflutterliteral)
     * [asset/flutter/literal](/reference/hooks/transforms/predefined#assetflutterliteral)
     *
     * This is to be used if you want to have separate files per category and you don't want the category (e.g., color) as the lead value in the name of the token (e.g., StyleDictionaryColor.baseText instead of StyleDictionary.colorBaseText).
     *
     * @memberof TransformGroups
     */
    "flutter-separate": ("attribute/cti" | "name/camel" | "color/hex8flutter" | "content/flutter/literal" | "asset/flutter/literal" | "size/flutter/remToDouble")[];
    /**
     * Transforms:
     *
     * [name/camel](/reference/hooks/transforms/predefined#namecamel)
     * [size/object](/reference/hooks/transforms/predefined#sizeobject)
     * [color/css](/reference/hooks/transforms/predefined#colorcss)
     *
     * @memberof TransformGroups
     */
    "react-native": ("name/camel" | "color/css" | "size/object")[];
};
export default _default;
