export const transforms = {
  attributeCti: /** @type {'attribute/cti'} */ ('attribute/cti'),
  attributeColor: /** @type {'attribute/color'} */ ('attribute/color'),
  nameHuman: /** @type {'name/human'} */ ('name/human'),
  nameCamel: /** @type {'name/camel'} */ ('name/camel'),
  nameKebab: /** @type {'name/kebab'} */ ('name/kebab'),
  nameSnake: /** @type {'name/snake'} */ ('name/snake'),
  nameConstant: /** @type {'name/constant'} */ ('name/constant'),
  namePascal: /** @type {'name/pascal'} */ ('name/pascal'),
  colorRgb: /** @type {'color/rgb'} */ ('color/rgb'),
  colorHsl: /** @type {'color/hsl'} */ ('color/hsl'),
  colorHsl4: /** @type {'color/hsl-4'} */ ('color/hsl-4'),
  colorHex: /** @type {'color/hex'} */ ('color/hex'),
  colorHex8android: /** @type {'color/hex8android'} */ ('color/hex8android'),
  colorComposeColor: /** @type {'color/composeColor'} */ ('color/composeColor'),
  colorUIColor: /** @type {'color/UIColor'} */ ('color/UIColor'),
  colorUIColorSwift: /** @type {'color/UIColorSwift'} */ ('color/UIColorSwift'),
  colorColorSwiftUI: /** @type {'color/ColorSwiftUI'} */ ('color/ColorSwiftUI'),
  colorCss: /** @type {'color/css'} */ ('color/css'),
  colorSketch: /** @type {'color/sketch'} */ ('color/sketch'),
  sizeSp: /** @type {'size/sp'} */ ('size/sp'),
  sizeDp: /** @type {'size/dp'} */ ('size/dp'),
  sizeObject: /** @type {'size/object'} */ ('size/object'),
  sizeRemToSp: /** @type {'size/remToSp'} */ ('size/remToSp'),
  sizeRemToDp: /** @type {'size/remToDp'} */ ('size/remToDp'),
  sizePx: /** @type {'size/px'} */ ('size/px'),
  sizeRem: /** @type {'size/rem'} */ ('size/rem'),
  sizeRemToPt: /** @type {'size/remToPt'} */ ('size/remToPt'),
  sizeComposeRemToSp: /** @type {'size/compose/remToSp'} */ ('size/compose/remToSp'),
  sizeComposeRemToDp: /** @type {'size/compose/remToDp'} */ ('size/compose/remToDp'),
  sizeComposeEm: /** @type {'size/compose/em'} */ ('size/compose/em'),
  sizeSwiftRemToCGFloat: /** @type {'size/swift/remToCGFloat'} */ ('size/swift/remToCGFloat'),
  sizeRemToPx: /** @type {'size/remToPx'} */ ('size/remToPx'),
  sizePxToRem: /** @type {'size/pxToRem'} */ ('size/pxToRem'),
  htmlIcon: /** @type {'html/icon'} */ ('html/icon'),
  contentQuote: /** @type {'content/quote'} */ ('content/quote'),
  contentObjCLiteral: /** @type {'content/objC/literal'} */ ('content/objC/literal'),
  contentSwiftLiteral: /** @type {'content/swift/literal'} */ ('content/swift/literal'),
  timeSeconds: /** @type {'time/seconds'} */ ('time/seconds'),
  fontFamilyCss: /** @type {'fontFamily/css'} */ ('fontFamily/css'),
  cubicBezierCss: /** @type {'cubicBezier/css'} */ ('cubicBezier/css'),
  strokeStyleCssShorthand: /** @type {'strokeStyle/css/shorthand'} */ ('strokeStyle/css/shorthand'),
  borderCssShorthand: /** @type {'border/css/shorthand'} */ ('border/css/shorthand'),
  typographyCssShorthand: /** @type {'typography/css/shorthand'} */ ('typography/css/shorthand'),
  transitionCssShorthand: /** @type {'transition/css/shorthand'} */ ('transition/css/shorthand'),
  shadowCssShorthand: /** @type {'shadow/css/shorthand'} */ ('shadow/css/shorthand'),
  assetUrl: /** @type {'asset/url'} */ ('asset/url'),
  assetBase64: /** @type {'asset/base64'} */ ('asset/base64'),
  assetPath: /** @type {'asset/path'} */ ('asset/path'),
  assetObjCLiteral: /** @type {'asset/objC/literal'} */ ('asset/objC/literal'),
  assetSwiftLiteral: /** @type {'asset/swift/literal'} */ ('asset/swift/literal'),
  colorHex8flutter: /** @type {'color/hex8flutter'} */ ('color/hex8flutter'),
  contentFlutterLiteral: /** @type {'content/flutter/literal'} */ ('content/flutter/literal'),
  assetFlutterLiteral: /** @type {'asset/flutter/literal'} */ ('asset/flutter/literal'),
  sizeFlutterRemToDouble: /** @type {'size/flutter/remToDouble'} */ ('size/flutter/remToDouble'),
  /**
   * @deprecated use 'color/hex instead
   */
  colorHex8: /** @type {'color/hex8'} */ ('color/hex8'),
};
